package com.steering.mes.mcp.entity;
/**
 * 数据库表YDM_ZC_OUTLIST所对应的实体类（生成工具：代码生成器2.4）
 * @author PC-201412141732   date 2016-02-29
 */
public class YdmZcOutlistEntity {
    /**
     * (出库)作业部门代码
     */
    private String departmentCode;
    /**
     * (出库)作业部门名称
     */
    private String departmentDesc;
    /**
     * 出库流水号
     */
    private String outstockSqe;
    /**
     * 出库指示号(出库计划号)
     */
    private String outstockPlanNo;
    /**
     * 出库单编号
     */
    private String outstockDoc;
    /**
     * 出库类型代码
     */
    private String outstockTypeCode;
    /**
     * 出库类型名称(倒库出库、销售出库、退料红冲、盘亏出库、投料出库、)
     */
    private String outstockTypeName;
    /**
     * 材料号
     */
    private String matNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 批号（炉批号）
     */
    private String batchNo;
    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     */
    private String batchGroudNo;
    /**
     * 所属权单位代码
     */
    private String belongCode;
    /**
     * 所属权单位
     */
    private String belongName;
    /**
     * (出库)仓库代码
     */
    private String storageNo;
    /**
     * (出库)库位代码
     */
    private String locationNo;
    /**
     * (出库)层号
     */
    private String laryNo;
    /**
     * (出库)位置
     */
    private String locNo;
    /**
     * (出库)仓库类型（8003    离线库 、投料库、中间库、在线库、成品库）
     */
    private String storageAttr;
    /**
     * (出库)仓库类型描述
     */
    private String storageAttrName;
    /**
     * (出库)库类别代码(8002  管、坯、原料库、合金辅料库、工具库
     */
    private String storageTypeNo;
    /**
     * (出库)库类别代码描述
     */
    private String storageTypeName;
    /**
     * (出库)作业科室代码
     */
    private String managementNo;
    /**
     * (出库)作业科室名称
     */
    private String managementName;

    private String actWeight;
    public String getActWeight() {
        return actWeight;
    }

    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    public YdmZcOutlistEntity(){
        actWeight="";
        departmentCode = "";
        departmentDesc = "";
        outstockSqe = "";
        outstockPlanNo = "";
        outstockDoc = "";
        outstockTypeCode = "";
        outstockTypeName = "";
        matNo = "";
        judgeStoveNo = "";
        batchNo = "";
        batchGroudNo = "";
        belongCode = "";
        belongName = "";
        storageNo = "";
        locationNo = "";
        laryNo = "";
        locNo = "";
        storageAttr = "";
        storageAttrName = "";
        storageTypeNo = "";
        storageTypeName = "";
        managementNo = "";
        managementName = "";
    }

    /**
     * (出库)作业部门代码
     * @return value
     */
    public String getDepartmentCode() {
        return departmentCode;
    }

    /**
     * (出库)作业部门代码
     * @param departmentCode value
     */
    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    /**
     * (出库)作业部门名称
     * @return value
     */
    public String getDepartmentDesc() {
        return departmentDesc;
    }

    /**
     * (出库)作业部门名称
     * @param departmentDesc value
     */
    public void setDepartmentDesc(String departmentDesc) {
        this.departmentDesc = departmentDesc;
    }

    /**
     * 出库流水号
     * @return value
     */
    public String getOutstockSqe() {
        return outstockSqe;
    }

    /**
     * 出库流水号
     * @param outstockSqe value
     */
    public void setOutstockSqe(String outstockSqe) {
        this.outstockSqe = outstockSqe;
    }

    /**
     * 出库指示号(出库计划号)
     * @return value
     */
    public String getOutstockPlanNo() {
        return outstockPlanNo;
    }

    /**
     * 出库指示号(出库计划号)
     * @param outstockPlanNo value
     */
    public void setOutstockPlanNo(String outstockPlanNo) {
        this.outstockPlanNo = outstockPlanNo;
    }

    /**
     * 出库单编号
     * @return value
     */
    public String getOutstockDoc() {
        return outstockDoc;
    }

    /**
     * 出库单编号
     * @param outstockDoc value
     */
    public void setOutstockDoc(String outstockDoc) {
        this.outstockDoc = outstockDoc;
    }

    /**
     * 出库类型代码
     * @return value
     */
    public String getOutstockTypeCode() {
        return outstockTypeCode;
    }

    /**
     * 出库类型代码
     * @param outstockTypeCode value
     */
    public void setOutstockTypeCode(String outstockTypeCode) {
        this.outstockTypeCode = outstockTypeCode;
    }

    /**
     * 出库类型名称(倒库出库、销售出库、退料红冲、盘亏出库、投料出库、)
     * @return value
     */
    public String getOutstockTypeName() {
        return outstockTypeName;
    }

    /**
     * 出库类型名称(倒库出库、销售出库、退料红冲、盘亏出库、投料出库、)
     * @param outstockTypeName value
     */
    public void setOutstockTypeName(String outstockTypeName) {
        this.outstockTypeName = outstockTypeName;
    }

    /**
     * 材料号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号（炉批号）
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号（炉批号）
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号(规格分的组号)--炉批行----性能批号(重点)---
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 所属权单位代码
     * @return value
     */
    public String getBelongCode() {
        return belongCode;
    }

    /**
     * 所属权单位代码
     * @param belongCode value
     */
    public void setBelongCode(String belongCode) {
        this.belongCode = belongCode;
    }

    /**
     * 所属权单位
     * @return value
     */
    public String getBelongName() {
        return belongName;
    }

    /**
     * 所属权单位
     * @param belongName value
     */
    public void setBelongName(String belongName) {
        this.belongName = belongName;
    }

    /**
     * (出库)仓库代码
     * @return value
     */
    public String getStorageNo() {
        return storageNo;
    }

    /**
     * (出库)仓库代码
     * @param storageNo value
     */
    public void setStorageNo(String storageNo) {
        this.storageNo = storageNo;
    }

    /**
     * (出库)库位代码
     * @return value
     */
    public String getLocationNo() {
        return locationNo;
    }

    /**
     * (出库)库位代码
     * @param locationNo value
     */
    public void setLocationNo(String locationNo) {
        this.locationNo = locationNo;
    }

    /**
     * (出库)层号
     * @return value
     */
    public String getLaryNo() {
        return laryNo;
    }

    /**
     * (出库)层号
     * @param laryNo value
     */
    public void setLaryNo(String laryNo) {
        this.laryNo = laryNo;
    }

    /**
     * (出库)位置
     * @return value
     */
    public String getLocNo() {
        return locNo;
    }

    /**
     * (出库)位置
     * @param locNo value
     */
    public void setLocNo(String locNo) {
        this.locNo = locNo;
    }

    /**
     * (出库)仓库类型（8003    离线库 、投料库、中间库、在线库、成品库）
     * @return value
     */
    public String getStorageAttr() {
        return storageAttr;
    }

    /**
     * (出库)仓库类型（8003    离线库 、投料库、中间库、在线库、成品库）
     * @param storageAttr value
     */
    public void setStorageAttr(String storageAttr) {
        this.storageAttr = storageAttr;
    }

    /**
     * (出库)仓库类型描述
     * @return value
     */
    public String getStorageAttrName() {
        return storageAttrName;
    }

    /**
     * (出库)仓库类型描述
     * @param storageAttrName value
     */
    public void setStorageAttrName(String storageAttrName) {
        this.storageAttrName = storageAttrName;
    }

    /**
     * (出库)库类别代码(8002  管、坯、原料库、合金辅料库、工具库
     * @return value
     */
    public String getStorageTypeNo() {
        return storageTypeNo;
    }

    /**
     * (出库)库类别代码(8002  管、坯、原料库、合金辅料库、工具库
     * @param storageTypeNo value
     */
    public void setStorageTypeNo(String storageTypeNo) {
        this.storageTypeNo = storageTypeNo;
    }

    /**
     * (出库)库类别代码描述
     * @return value
     */
    public String getStorageTypeName() {
        return storageTypeName;
    }

    /**
     * (出库)库类别代码描述
     * @param storageTypeName value
     */
    public void setStorageTypeName(String storageTypeName) {
        this.storageTypeName = storageTypeName;
    }

    /**
     * (出库)作业科室代码
     * @return value
     */
    public String getManagementNo() {
        return managementNo;
    }

    /**
     * (出库)作业科室代码
     * @param managementNo value
     */
    public void setManagementNo(String managementNo) {
        this.managementNo = managementNo;
    }

    /**
     * (出库)作业科室名称
     * @return value
     */
    public String getManagementName() {
        return managementName;
    }

    /**
     * (出库)作业科室名称
     * @param managementName value
     */
    public void setManagementName(String managementName) {
        this.managementName = managementName;
    }
}